> For the complete documentation index, see [llms.txt](https://docs.umbraco.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.umbraco.com/umbraco-automate/18.latest/add-ons/commerce/actions.md).

# Actions

The Commerce add-on contributes the following actions.

## Order Read Actions

| Display Name      | Alias                             |
| ----------------- | --------------------------------- |
| Get Order         | `umbracoCommerce.getOrder`        |
| Search Orders     | `umbracoCommerce.searchOrders`    |
| Search Discounts  | `umbracoCommerce.searchDiscounts` |
| Search Gift Cards | `umbracoCommerce.searchGiftCards` |

## Order Modify Actions

| Display Name             | Alias                                   |
| ------------------------ | --------------------------------------- |
| Add Product to Order     | `umbracoCommerce.addProductToOrder`     |
| Remove Order Line        | `umbracoCommerce.removeOrderLine`       |
| Assign Order to Customer | `umbracoCommerce.assignOrderToCustomer` |
| Change Order Status      | `umbracoCommerce.changeOrderStatus`     |
| Finalize Order           | `umbracoCommerce.finalizeOrder`         |
| Set Order Property       | `umbracoCommerce.setOrderProperty`      |
| Tag Order                | `umbracoCommerce.tagOrder`              |
| Remove Tags from Order   | `umbracoCommerce.removeTagsFromOrder`   |
| Export Order             | `umbracoCommerce.exportOrder`           |
| Send Order Email         | `umbracoCommerce.sendOrderEmail`        |

## Payment Actions

| Display Name    | Alias                            |
| --------------- | -------------------------------- |
| Capture Payment | `umbracoCommerce.capturePayment` |
| Refund Payment  | `umbracoCommerce.refundPayment`  |

## Stock and Gift Card Actions

| Display Name    | Alias                           |
| --------------- | ------------------------------- |
| Update Stock    | `umbracoCommerce.updateStock`   |
| Issue Gift Card | `umbracoCommerce.issueGiftCard` |

{% hint style="info" %}
Open the step in the canvas to see each action's settings and output fields.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.umbraco.com/umbraco-automate/18.latest/add-ons/commerce/actions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
